Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jul 2018 16:29:50 +0300

> Date: Thu, 12 Jul 2018 00:11:28 -0700
> From: Andrew Kurn <[email-masked]>
> Cc: [email-masked]
> 
> > > But, but, but if I then put the mouse on it and pull down,
> > > the text goes off the top. (The scroll bar still covers
> > > the whole track.)
> > 
> > That's a feature.
> 
> How often I have heard those words before . . .

They are usually the truth.

> > You can do the same one line at a time with
> > "C-u 1 C-v".  Using the scroll bar invokes the same commands, so it
> > behaves the same.  It has nothing to do with the appearance of the
> > thumb.
> > 
> > > Worse, if I mouse the bar up, nothing happens.  The text
> > > does not reappear.
> > 
> > Really?  How do you move the thumb and to what position on the bar?
> 
> With the mouse, as I said.  The thumb is now larger than the track,
> so it doesn't appear to move, but it does, evident when I move it down.

So you are saying that no matter how many time/how long do you move
the thumb up, the text never re-appears?  Does Emacs receive
scroll-bar scroll events when you do that (you can verify that with
"C-h l")?

> > Those are entirely different issues, unrelated to the size of the
> > thumb when all of the buffer is on display.
> 
> This is a hint to start another bug report.

Yes, please.